Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.document
Class DocumentAttribute

    java.lang.Object
      com.plumtree.remote.prc.collaboration.document.DocumentAttribute

public class DocumentAttribute
extends java.lang.Object

An enumerated type used to describe the specific fields that can be used in constructing a `DocumentQueryOrder` for documents.

Field Summary
`static DocumentAttribute` | `AUTHOR` The document's author.
`static DocumentAttribute` | `CHECK_OUT_USERNAME` The document's check-out user's name.
`static DocumentAttribute` | `CURRENT_TIMESTAMP` The document's current timestamp.
`static DocumentAttribute` | `DOCUMENT_TYPE` The document type.
`static DocumentAttribute` | `LAST_CHECK_IN_USERNAME` The document's last check-in user's name.
`static DocumentAttribute` | `LAST_MODIFIED` The document's last modified date.
`static DocumentAttribute` | `NAME` The document name.
`static DocumentAttribute` | `NO_ORDER` No ordering.
`static DocumentAttribute` | `NUM_BYTES` The document's number of bytes for its content.
`static DocumentAttribute` | `PARENT_FOLDER_ID` The document's parent folder ID.
`static DocumentAttribute` | `PROJECT_ID` The document's containing project ID.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AUTHOR

    public static final DocumentAttribute AUTHOR

  The document's author.

### CHECK_OUT_USERNAME

    public static final DocumentAttribute CHECK_OUT_USERNAME

  The document's check-out user's name.

### CURRENT_TIMESTAMP

    public static final DocumentAttribute CURRENT_TIMESTAMP

  The document's current timestamp.

### DOCUMENT_TYPE

    public static final DocumentAttribute DOCUMENT_TYPE

  The document type.

### LAST_CHECK_IN_USERNAME

    public static final DocumentAttribute LAST_CHECK_IN_USERNAME

  The document's last check-in user's name.

### LAST_MODIFIED

    public static final DocumentAttribute LAST_MODIFIED

  The document's last modified date.

### NAME

    public static final DocumentAttribute NAME

  The document name.

### NO_ORDER

    public static final DocumentAttribute NO_ORDER

  No ordering.

### NUM_BYTES

    public static final DocumentAttribute NUM_BYTES

  The document's number of bytes for its content.

### PARENT_FOLDER_ID

    public static final DocumentAttribute PARENT_FOLDER_ID

  The document's parent folder ID.

### PROJECT_ID

    public static final DocumentAttribute PROJECT_ID

  The document's containing project ID.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.